import javax.crypto.*;
import java.security.*;
import java.io.*;
public class KeyHandler{
	//<privateKey> <publicKey>
	public static void main(String args[]){
		try{
			KeyPairGenerator keyPairGen = KeyPairGenerator.getInstance("DSA");
			keyPairGen.initialize(1024, new SecureRandom());
			KeyPair kp = keyPairGen.generateKeyPair();
			FileOutputStream fis = new FileOutputStream(args[0]);
			ObjectOutputStream oos = new ObjectOutputStream(fis);
			oos.writeObject(kp.getPrivate());
			fis.close();
			oos.close();
			fis = new FileOutputStream(args[1]);
			oos = new ObjectOutputStream(fis);
			oos.writeObject(kp.getPublic());
			fis.close();
			oos.close();
		}catch(Exception e){
			e.printStackTrace();
		}
	}
}