import java.io.*; 
import java.security.*; 
public class SingHandler{ 
	//<data> <privateKey> <signature>
	public static void main(String args[]) { 
		try {
			FileInputStream fis = new FileInputStream(args[1]);
			ObjectInputStream ois = new ObjectInputStream(fis);
			FileOutputStream fos = new FileOutputStream(args[2]);
			ObjectOutputStream oos = new ObjectOutputStream(fos);
			PrivateKey pk = (PrivateKey)ois.readObject();
			ois.close();
			fis.close();
			Signature s = Signature.getInstance("SHA1withDSA"); 
			s.initSign(pk);
			fis = new FileInputStream(args[0]);
			byte b[] = new byte[8];
			int i = fis.read(b);
			while (i != -1){
				s.update(b, 0, i);
				i = fis.read(b); 
			}
			oos.writeObject(s.sign()); 
			fos.close();
			fis.close();
		} catch (Exception e) { 
			e.printStackTrace(  ); 
		} 
	} 
}