import java.io.*; 
import java.security.*; 
public class VerifyHandler{ 
	//<data> <publicKey> <signature>
	public static void main(String args[]) { 
		try {
			FileInputStream fis = new FileInputStream(args[1]);
			ObjectInputStream ois = new ObjectInputStream(fis);
			PublicKey pk = (PublicKey)ois.readObject();
			ois.close();
			fis.close();
			fis = new FileInputStream(args[2]);
			ois = new ObjectInputStream(fis);
			byte sign[] = (byte[])ois.readObject();
			fis.close();
			ois.close();
			Signature s = Signature.getInstance("SHA1withDSA"); 
			s.initVerify(pk);
			fis = new FileInputStream(args[0]);
			byte b[] = new byte[8];
			int i = fis.read(b);
			while (i != -1){
				s.update(b, 0, i);
				i = fis.read(b); 
			}
			if (s.verify(sign))
				System.out.println("Verifiering lyckades!");
			else
				System.out.println("Verifiering misslyckades!");
			fis.close();
		} catch (Exception e) { 
			e.printStackTrace(  ); 
		} 
	} 
}