import java.net.*;
import java.io.*;
public class ClientHandler extends Thread{
	Socket clientSocket = null;
	Server server = null;
	PrintWriter out = null;
	BufferedReader in = null;
	public ClientHandler(Socket clientSocket, Server server){
		this.clientSocket = clientSocket;
		this.server = server;
		try{
			out = new PrintWriter(clientSocket.getOutputStream(), true);
			in = new BufferedReader(new InputStreamReader(clientSocket.getInputStream()));
		}catch(IOException ioe){
		}
	}
	public void sendMsgToClient(String msg){
		out.println(msg);
	}
	public void run(){
		String msg = null;
		try{
			while ((msg = in.readLine()) != null){
				server.broadCast(msg, clientSocket.getInetAddress().getHostName());
			}
			out.close();
			in.close();
			clientSocket.close();
			server.broadCast("CLIENT DISCONNECTED: " + 
				clientSocket.getInetAddress().getHostName(), clientSocket.getInetAddress().getHostName());
			server.list.remove(this);
			server.updateTitle();
		}catch(IOException ioe){
		}
	}
}
